# $Revision: 1.6 $, $Date: 2011/06/19 18:00:59 $
# TODO: tcsd init script (see dist/fedora/fedora.initrd.tcsd)
#
# Conditional build:
%bcond_with	gtk	# use GTK+ popups instead of openssl
#
Summary:	TrouSerS - The open-source TCG Software Stack
Summary(pl.UTF-8):	TrouSerS - programowy stos TCG o otwartych źródłach
Name:		trousers
Version:	0.3.7
Release:	1
License:	CPL v1.0
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/trousers/%{name}-%{version}.tar.gz
# Source0-md5:	0b4bc5daed265a56409a9c7af77c7ca6
Patch0:		%{name}-nouser.patch
URL:		http://trousers.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake >= 1.6
%{?with_gtk:BuildRequires:	gtk+2-devel >= 1:2.0.0}
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires:	%{name}-libs = %{version}-%{release}
Provides:	group(tss)
Provides:	user(tss)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TrouSerS is an open-source TCG Software Stack (TSS), released under
the Common Public License. TrouSerS aims to be compliant with the 1.1b
and 1.2 TSS specifications available from the Trusted Computing Group
website: <http://www.trustedcomputinggroup.org/>.

%description -l pl.UTF-8
TrouSerS to programowy stos TCG (TSS, czyli TCG Software Stack) o
otwartych źródłach wydany na licencji Common Public License. Celem
projektu jest zgodność ze specyfikacjami TSS 1.1b i 1.2 dostępnymi na
stronie Trusted Computing Group:
<http://www.trustedcomputinggroup.org/>.

%package libs
Summary:	TrouSerS shared library
Summary(pl.UTF-8):	Biblioteka współdzielona TrouSerS
Group:		Libraries

%description libs
TrouSerS shared library.

%description libs -l pl.UTF-8
Biblioteka współdzielona TrouSerS.

%package devel
Summary:	Header files for TrouSerS library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki TrouSerS
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
%{?with_gtk:Requires:	gtk+2-devel >= 1:2.0.0}
Requires:	openssl-devel

%description devel
Header files for TrouSerS library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki TrouSerS.

%package static
Summary:	Static TrouSerS library
Summary(pl.UTF-8):	Statyczna biblioteka TrouSerS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static TrouSerS library.

%description static -l pl.UTF-8
Statyczna biblioteka TrouSerS.

%prep
%setup -q
%patch0 -p1

# there is some unused variable causing warning
sed -i -e 's/-Werror //' configure.in

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-static \
	%{?with_gtk:--with-gui=gtk}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 139 tss
%useradd -u 139 -d %{_localstatedir}/lib/tpm -s /bin/false -c "TrouSerS user" -g tss tss

%postun
if [ "$1" = "0" ]; then
	%userremove tss
	%groupremove tss
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE NICETOHAVES README README.selinux TODO
%attr(755,root,root) %{_sbindir}/tcsd
%attr(640,root,tss) %{_sysconfdir}/tcsd.conf
%attr(700,tss,tss) %{_localstatedir}/lib/tpm
%{_mandir}/man5/tcsd.conf.5*
%{_mandir}/man8/tcsd.8*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtspi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtspi.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/{LTC-TSS_LLD_08_r2.pdf,TSS_programming_SNAFUs.txt}
%attr(755,root,root) %{_libdir}/libtspi.so
%{_libdir}/libtspi.la
%{_libdir}/libtddl.a
%{_includedir}/trousers
%{_includedir}/tss
%{_mandir}/man3/Tspi_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libtspi.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: trousers.spec,v $
Revision 1.6  2011/06/19 18:00:59  qboosh
- updated to 0.3.7

Revision 1.5  2010/10/09 11:26:42  qboosh
- updated to 0.3.6
- gtk GUI is optional (bcond, off by default - library is linked with GUI lib)

Revision 1.4  2010/05/31 11:14:38  vip
- up to 0.3.4
- patch adapted to 0.3.4

Revision 1.3  2007/12/14 21:23:17  qboosh
- updated to 0.3.1

Revision 1.2  2007-10-03 18:46:24  arekm
- drop -Werror

Revision 1.1  2007/09/02 19:28:38  qboosh
- new
